NPM install reports an error (NPM err! Code integrity)

Time:2021-12-1

The specific error information is as follows:

npm ERR! code EINTEGRITY
npm ERR! Verification failed while extracting @[email protected]^1.2.0:
npm ERR! Verification failed while extracting @[email protected]^1.2.0:
npm ERR! sha512-lQ...HA== integrity checksum failed when using sha512: wanted sha512-lQ...HA== but got sha512-nH...ow==. (4835509 bytes)

terms of settlement

1. Delete the local package-lock.json file
2. Update your own NPM Version (NPM I – G NPM)
3. Empty NPM cache (NPM cache clean — force | NPM cache verif)
4. Reinstall (NPM install)